//var _URL_ELIB = "/2021_itz/poa_local/";
var _URL_ELIB = "";

var _TOKEN_ELIB = $('meta[name="csrf-token"]').attr('content');


function elib_carga_csv(){
	mp();
	var formData = new FormData(document.getElementById("form-csv"));

	if ($("#archivo")[0].files.length>0) {
		$.ajax({
			url: _URL_ELIB+'elibro_csv',
			type: 'POST', dataType: 'html', data: formData,
			cache:false, contentType: false, processData: false,
			headers: { 'X-CSRF-TOKEN':  _TOKEN_ELIB },
		})
		.done(function(html) { $("#resultados").html("Envio de correo satisfactorio para los siguientes destinatarios:"+html); })
		.fail(function(e,r) { 
			var vec = e.responseText.split('<!doctype html>');
			$("#resultados").html("Solo se envio correo a los siguientes destinatarios:<br>"+vec[0]);
		})
		.always(function() { op(); document.getElementById("form-csv").reset() });	
	} else {
		ae('eLibro', 'Por favor, selecciona un archivo con etensión CSV'); op();
	}
	
	
}